View Issue Details

IDProjectCategoryView StatusLast Update
0019761LazarusLCLpublic2012-01-09 20:13
ReporterBenito van der Zander Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformamd64OSDebian 
Summary0019761: scrollbar doesn't capture mouse
DescriptionYou can only scroll a scrollbar by clicking on the page button and moving it, as long as the mouse cursor remains over the scrollbar.
When the cursor is outside the bar, the button position is not updated anymore when the mouse position changes.



(#0049868 is also a failed capture, perhaps it is related)
TagsNo tags attached.
Fixed in Revision33189
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0019702 resolvedZeljan Rikalo can't enlarge edit on a form 

Activities

Felipe Monteiro de Carvalho

2011-07-18 16:35

developer   ~0050041

Please attach a test project.

Obviously this works fine in the usual case since it works fine in the IDE.

Felipe Monteiro de Carvalho

2011-07-18 16:35

developer   ~0050042

There is no issue with number #0049868

2011-07-19 11:45

 

scrollbars gtk2.zip (2,626 bytes)

Gerard V

2011-07-19 11:45

reporter   ~0050054

Last edited: 2011-07-19 11:53

I had a similar issue with a project I'm working on.
I uploaded a small test program, stripped from my project.
The scrollbar works as long as the mouse is on the scroll button. One you move it right or left (without releasing the mouse), it stops scrolling.
This works under Win32 and not under GTK2/Linux.

Benito van der Zander

2011-07-23 10:07

reporter   ~0050102

>There is no issue with number #0049868

0019702 then (but 0049868 is the number of the first comment)

August Klein

2011-09-19 19:08

reporter   ~0052035

I upload a fix for this issue.

2011-09-19 19:09

 

scrollbar_move.diff (697 bytes)   
Index: lcl/interfaces/gtk2/gtk2callback.inc
===================================================================
--- lcl/interfaces/gtk2/gtk2callback.inc	(revisiĆ³n: 32422)
+++ lcl/interfaces/gtk2/gtk2callback.inc	(copia de trabajo)
@@ -1365,7 +1365,8 @@
   if not (csDesigning in ACtl.ComponentState) and
      not (csCaptureMouse in ACtl.ControlStyle) and
     ([ssLeft,ssRight,ssMiddle]*ShiftState <> []) and
-    not (ACtl is TCustomForm) and not DragManager.IsDragging then
+    not (ACtl is TCustomForm) and not (ACtl is TScrollBar)
+    and not DragManager.IsDragging then
   begin
     if (Event^.x < 0) or (Event^.y < 0) or
       (Event^.x > ACtl.Width) or (Event^.y > ACtl.Height) then

scrollbar_move.diff (697 bytes)   

Zeljan Rikalo

2011-10-30 21:12

developer   ~0053655

Please test and close if ok.

Issue History

Date Modified Username Field Change
2011-07-18 00:30 Benito van der Zander New Issue
2011-07-18 00:30 Benito van der Zander Widgetset => GTK 2
2011-07-18 16:35 Felipe Monteiro de Carvalho LazTarget => -
2011-07-18 16:35 Felipe Monteiro de Carvalho Note Added: 0050041
2011-07-18 16:35 Felipe Monteiro de Carvalho Status new => feedback
2011-07-18 16:35 Felipe Monteiro de Carvalho Note Added: 0050042
2011-07-19 11:45 Gerard V File Added: scrollbars gtk2.zip
2011-07-19 11:45 Gerard V Note Added: 0050054
2011-07-19 11:53 Gerard V Note Edited: 0050054
2011-07-23 10:07 Benito van der Zander Note Added: 0050102
2011-07-23 10:23 Juha Manninen Relationship added related to 0019702
2011-09-19 11:53 Vincent Snijders Status feedback => acknowledged
2011-09-19 19:08 August Klein Note Added: 0052035
2011-09-19 19:09 August Klein File Added: scrollbar_move.diff
2011-10-30 21:12 Zeljan Rikalo Fixed in Revision => 33189
2011-10-30 21:12 Zeljan Rikalo Status acknowledged => resolved
2011-10-30 21:12 Zeljan Rikalo Resolution open => fixed
2011-10-30 21:12 Zeljan Rikalo Assigned To => Zeljan Rikalo
2011-10-30 21:12 Zeljan Rikalo Note Added: 0053655
2012-01-09 20:13 Benito van der Zander Status resolved => closed